# Poco

# template < typename T >

# class BasicMemoryBinaryReader

Library: Foundation
Package: Streams
Header: Poco/BinaryReader.h

## Description

A convenient wrapper for using Buffer and MemoryStream with BinaryReader.

## Inheritance

Direct Base Classes: BinaryReader

All Base Classes: BinaryReader

## Member Summary

Member Functions: data, stream

Inherited Functions: available, bad, byteOrder, eof, fail, good, operator >>, read7BitEncoded, readBOM, readRaw, setExceptions, stream

## Constructors

### BasicMemoryBinaryReader

BasicMemoryBinaryReader(
const Buffer < T > & data,
StreamByteOrder byteOrder = NATIVE_BYTE_ORDER
);

### BasicMemoryBinaryReader

BasicMemoryBinaryReader(
const Buffer < T > & data,
TextEncoding & encoding,
StreamByteOrder byteOrder = NATIVE_BYTE_ORDER
);

## Destructor

### ~BasicMemoryBinaryReader

~BasicMemoryBinaryReader();

## Member Functions

### data

const Buffer < T > & data() const;

### stream

const MemoryInputStream & stream() const;

### stream

MemoryInputStream & stream();